%global commitdate 20150415
%global commit d45a11f95935102a834e12285ca7db7d01790086
%global shortcommit %(c=%{commit}; echo ${c:0:7})

# Settings for httpd 2.2:
%global _httpd_apxs       %{_sbindir}/apxs
%global _httpd_confdir    %{_sysconfdir}/httpd/conf.d
%global _httpd_modconfdir %{_sysconfdir}/httpd/conf.d
%global _httpd_moddir     %{_libdir}/httpd/modules
%{!?_httpd_mmn: %{expand: %%global _httpd_mmn %%(cat %{_includedir}/httpd/.mmn || echo missing-httpd-devel)}}

# Drop automatic provides for module DSOs
%{?filter_setup:
%filter_provides_in %{_libdir}/httpd/modules/.*\.so$
%filter_setup
}

Name:           mod_proxy_fcgi
Version:        2.4.10
Release:        5.%{commitdate}git%{shortcommit}%{?dist}
Summary:        FastCGI support module for mod_proxy 2.2

License:        ASL 2.0
URL:            https://github.com/ceph/mod-proxy-fcgi
Source0:        https://github.com/ceph/mod-proxy-fcgi/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Source1:        mod_proxy_fcgi.conf

BuildRequires:  autoconf
BuildRequires:  httpd-devel < 2.3
Requires:       httpd-mmn = %{_httpd_mmn}

%description
mod_proxy_fcgi is a proxy module for the Apache 2.2 HTTP server.

This module allows you to use fcgi:// TCP URLs as targets for ProxyPass.
(Please note that SetHandler fcgi:// targets are not supported, only
ProxyPass.)

Documentation: http://httpd.apache.org/docs/2.4/mod/mod_proxy_fcgi.html

%prep
%setup -qn mod-proxy-fcgi-%{commit}

%build
autoconf
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_httpd_confdir}
install -d -m0755 %{buildroot}%{_httpd_confdir}
install -Dp -m0644 %{SOURCE1} %{buildroot}%{_httpd_confdir}/mod_proxy_fcgi.conf

%files
%doc LICENSE README
%{_httpd_moddir}/mod_proxy_fcgi.so

%config(noreplace) %{_httpd_confdir}/*.conf

%changelog
* Mon Aug 24 2015 Ken Dreyer <kdreyer@redhat.com> - 2.4.10-5.20150415gitd45a11f
- Update to latest git snapshot (fixes CVE-2014-3583, rhbz#1163555)
- Adjustments for package review (RHBZ #1182770)
- Adjust Release to indicate a git snapshot
- Drop automatic provides for module DSO
- Use the GitHub URL as the package URL
- Add link to httpd.apache.org docs in %%description

* Mon Jan 26 2015 Ken Dreyer <kdreyer@redhat.com> - 2.4.10-4
- correct changelog email address

* Mon Jan 26 2015 Ken Dreyer <kdreyer@redhat.com> - 2.4.10-3
- Adjustments for package review (RHBZ #1182770)
- Dynamically determine %%{_httpd_mmn} instead of hardcoding
- Drop explicit requirement on httpd < 2.3
- Add a note to %%description regarding the lack of SetHandler support
- Update .conf file to load the module by default

* Thu Jan 15 2015 Ken Dreyer <kdreyer@redhat.com> - 2.4.10-2
- Update to tip of Git master branch
- Correct License tag
- Update Source0 URL to reflect the new upstream Git repository location

* Tue Nov 25 2014 Ken Dreyer <kdreyer@redhat.com> - 2.4.10-1
- New package
